# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           gitso
Version:        0.6
Release:        alt1_19
Summary:        A front-end to reverse VNC connections

Group:          Networking/WWW
License:        GPLv3+
URL:            http://code.google.com/p/gitso/
Source0:        http://gitso.googlecode.com/files/%{name}_%{version}_src.tar.bz2

Patch1:         %{name}-%{version}-patch_desktop.patch

BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       tigervnc, tigervnc-server, xorg-extension-vnc, x11vnc, wxPython
Source44: import.info


%description
Gitso is a front-end to reverse VNC connections. It is meant to be a
simple two-step process that connects one person to another screen.

%prep
%setup -q
%patch1 -p1

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -p arch/linux/%{name} $RPM_BUILD_ROOT%{_bindir}/

install -d 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 0644 Gitso.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 ConnectionWindow.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 AboutWindow.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 GitsoThread.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 Processes.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 ArgsParser.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 __init__.py $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 NATPMP.py $RPM_BUILD_ROOT%{_datadir}/%{name}/

install -d 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 icon.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

install -pm 0644 icon.ico $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -pm 0644 icon.png $RPM_BUILD_ROOT%{_datadir}/%{name}/

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ arch/linux/%{name}.desktop

mkdir -p %{buildroot}%{_mandir}/man1
install -p arch/linux/%{name}.1 %{buildroot}%{_mandir}/man1/
chmod -x %{buildroot}%{_mandir}/man1/%{name}.1

# Remove shebang from Python libraries
for lib in $RPM_BUILD_ROOT%{_datadir}/%{name}/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%files
%doc COPYING CHANGELOG.txt
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_19
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_17
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_16
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_13
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_12
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_11
- update to new release by fcimport

* Sat Jan 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_10
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_9
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_8
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_7
- initial fc import

